Skip to main content
PATCH
Update tag

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tagId
string
required

The ID of the tag to update.

Pattern: ^[0-9a-z]+$

Body

application/json
name
string

The new name for the tag. Must be unique within the team. Maximum 255 characters.

Required string length: 1 - 255
Examples:

"High Priority"

"Follow Up"

"VIP"

color
string | null

Color for the item. Can be a predefined color name (red, blue, green, etc.) or a hex code (#ef4444).

Example:

"red"

Response

200 - application/json

OK

id
string
required

Unique identifier for the tag.

Pattern: ^[0-9a-z]+$
Example:

"l44e15irdq4db30i77cgphhx"

name
string
required

The display name of the tag.

Examples:

"High Priority"

"Follow Up"

"VIP"

color
string
required

Hex color code for the tag or predefined color (available via GET /colors).

Examples:

"#3b82f6"

"#10b981"

"teal"

"amber"